Bug 818593 - [glusterfs-3.3.0qa39]: inode-leak in the server whenever pump is loaded in the graph
[glusterfs-3.3.0qa39]: inode-leak in the server whenever pump is loaded in th...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
mainline
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Raghavendra Bhat
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-05-03 09:22 EDT by Raghavendra Bhat
Modified: 2013-07-24 13:45 EDT (History)
1 user (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:45:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.3.0qa45
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2012-05-03 09:22:19 EDT
Description of problem:
Whenever replace-brick is done (i.e. pump xlator is loaded in the graph), there is a inode-leak on the brick side.

6e9dd602-b539-496e-bf90-39c0dba31088                  0              2         D
2de3b07b-b792-4e92-888e-dcb14d2aa0d0                  0              2         D
99b778b1-4337-478e-b09f-90e82e42212d                  0              2         D
43b12f87-ac2f-4a5d-ade7-b3718ac96a3e                  0              2         D
10467a7d-e38c-45f8-8c50-f5370e2f0277                  0              2         D
7b7a350e-3e3a-4daf-bf08-79aa6ff774cc                  0              2         D
06061428-c05a-4f4a-860c-10b8fd381bca                  0              2         D
dbf97dce-2186-4258-8033-aed300e9978c                  0              2         D
71aded8c-445d-4fcb-8370-c8ddb85d7d5b                  0              2         D
b569d4e8-cd13-45ad-9179-b3277defde3c                  0              2         D
60e6290c-84a5-46a1-abf9-467ca4f348a3                  0              2         D
fced0d01-ff3e-4472-ade4-ff71ad0b126f                  0              2         D
156e94b9-5d0f-4ed9-b795-eab2b5826269                  0              2         D
285ba09d-a5fc-4196-a949-2b80419652f4                  0              2         D
ec7de3b1-bdf4-44f8-8913-b0b13e611b95                  0              2         D
2f35c336-6003-4b0a-87b4-e2b7dc467713                  0              2         D
d77466e4-e81f-49bc-8d56-697396af26dc                  0              2         D
252a6e3b-9569-4c0e-ba2c-78bd0ac96842                  0              2         D
65e2083b-0890-46a0-bc1b-1bd6063f60d0                  0              2         D
27161db7-2ece-48c2-8e91-5beeef398daf                  0              2         D
d9140f10-4be4-4b7d-84fc-d68a7e0d8958                  0              2         D
924f2c4a-0f77-4ac4-a7b6-2e261c9bf655                  0              2         D
beaa2731-4aa0-4858-a002-e5d2bd78233e                  0              2         D
244aff4c-d4c9-4232-b8be-37212d268ba3                  0              2         D
72533099-5bd5-4752-abfb-73fc1e36c344                  0              2         D
6c62c3c9-fa91-4726-8b8f-685d7d803ace                  0              2         D
a46d84b3-327e-4fa8-91b1-381c997d4803                  0              2         D
2ed07410-4335-49c4-b1ef-9ebede7f0c6f                  0              2         D
e7ed6fa0-b967-4aec-913d-8864b7ff791a                  0              2         D
18ac9c9f-1a8c-4888-ac89-be1b1fc72132                  0              2         D
da4ce516-1097-4873-890c-b3e060cb2646                  0              2         D
18dc17f2-000c-444d-b52c-44507f940670                  0              2         D
7af06af0-5347-479c-ba51-e2b316d3f526                  0              2         D
4d20f555-4752-45f9-b82d-d590dbb4d231                  0              2         D
74d044a6-cb6e-4b6c-b11f-26f0df415336                  0              2         D
1d467e1c-62e3-42de-8fb6-aac88828e26e                  0              2         D
7be32825-f299-4e89-8b37-cbe1a6ad103f                  0              2         D
bc3e4b78-c776-4ef0-9443-3706eac1fb5d                  0              2         D
afdc0723-df02-49c0-9525-e36f6cd6473e                  0              2         D
13b4d421-c5a8-4645-99fa-395d2b40c009                  0              2         D
28b6fedd-89dc-4188-94d8-f966ee67d188                  0              2         D
faa001a7-f312-4c72-997e-a238a5799d7c                  0              2         D
b5fc5d5b-c565-4557-95ce-b9dd9d57c915                  0              2         D
9a850224-2c44-43ff-9719-058c5742f8ad                  0              2         D
inode_leak_pump 


Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. create singl brick volume, start it, mount it 
2. untar glusterfs directory on the mount point
3. give replace brick command and do rm -rf * on the glusterfs mount point.
4. gluster volume status <volname> inode
  
Actual results:

inode are not getting unrefed properly

Expected results:

if there are no files/directories on the mount point, there should not be any inodes in the inode table of brick processes.


Additional info:
Comment 1 Anand Avati 2012-05-03 18:58:56 EDT
CHANGE: http://review.gluster.com/3267 (cluster/pump: Fixed fd leaks in pump directory traversal logic) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Raghavendra Bhat 2012-06-11 05:09:38 EDT
Checked with glusterfs-3.3.0qa45 and there is no inode leak when pump xlator is loaded.

Note You need to log in before you can comment on or make changes to this bug.